<panel title="Conversation Cell" translate="false">

<!-- Edit by OPZ -->

  <!--Should the conversation cell be staggered-->
  <boolean id="mode" value="true"/>

  <layout class="fit_children_attachment" alignment="vertical" offset="0" gap="0" />
  <layout class="arrange_horizontal_attachment" alignment="left, extend" offset="0" gap="0" />

  <!--The left picture (to avoid some fit-children auto-sizing we set container to a fixed height) -->
  <container id="lpic" width="117" height="140">
    <layout class="stick_to_sides_attachment" alignment="horizontal" inset="4" layout_children="true"/>
    <layout class="arrange_vertical_attachment" alignment="top" offset="4" gap="0"/>
    <layout class="stick_to_sides_attachment" alignment="top" inset="0" />

    <widget class="picture" id="lcpi" file="pictures/person/none/male/portrait" scale_picture="true" height="140" image_alignment="centre"/>
    <widget class="label" id="lcna" text="name" alignment="centre" size="7" height="25"/>
  </container>

  <container id="lemi">
    <layout class="fit_children_attachment" alignment="vertical" offset="0" gap="0" />
    <layout class="arrange_horizontal_attachment" offset="0" gap="0" alignment="right, extend"/>
    <layout class="stick_to_sides_attachment" alignment="vertical" inset="0" />

    <container id="cell">
      <layout class="fit_children_attachment" alignment="vertical" offset="0" gap="0" />
      <layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true" inset="0"/>
      <layout class="arrange_vertical_attachment" alignment="top" offset="0" gap="0"/>
      <layout class="stick_to_sides_attachment" alignment="vertical" inset="0" /> <!-- this container -->
      
      <!-- The Content is build dynamically depending on the cell type -->
    </container>

    <!--The Right picture (to avoid some fit-children auto-sizing we set container to a fixed height) -->
    <container id="rpic" width="117" height="140">
      <layout class="stick_to_sides_attachment" alignment="horizontal" inset="4" layout_children="true"/>
      <layout class="arrange_vertical_attachment" alignment="top" offset="4" gap="0"/>
      <layout class="stick_to_sides_attachment" alignment="top" inset="0" /> <!-- this container -->

      <widget class="picture" id="rcpi" file="pictures/person/none/male/portrait" scale_picture="true" height="140" image_alignment="centre"/>
      <widget class="label" id="rcna" text="name" alignment="centre" size="7" height="25"/>
    </container>
  </container>

<!-- FM-Thai.com -->

</panel>